//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Unit7.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm7 *Form7;
//---------------------------------------------------------------------------
__fastcall TForm7::TForm7(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------

void TForm7::ListaFotos(void)
{
  ncorresp= 0;
  ListBox1->Items->Clear();
  for (int i= 0; i<MAX_VENTANAS; i++)
    if (foto[i].usada) {
      ListBox1->Items->Add(ExtractFileName(foto[i].nombre));
      corresp[ncorresp++]= i;
    }
}
//---------------------------------------------------------------------------

int TForm7::Execute (int foto1)
{
  peso= 50;
  nfoto1= foto1;
  img1= foto[foto1].img;
  nfoto2= -1;
  img2= cvCloneImage(img1);
  ListaFotos();
  ShowModal();
  return aceptado && nfoto2!=-1;
}

//---------------------------------------------------------------------------

void on_trackbar (int valor)
{
  IplImage *sal= cvCloneImage(Form7->img1);
  cvAddWeighted(Form7->img1, Form7->peso/100.0,
                Form7->img2, 1.0-Form7->peso/100.0,
                0, sal);
  cvShowImage("Media ponderada", sal);
  cvReleaseImage(&sal);
}

//---------------------------------------------------------------------------

void __fastcall TForm7::ListBox1Click(TObject *Sender)
{
  nfoto2= corresp[ListBox1->ItemIndex];
  assert(foto[nfoto2].usada && foto[nfoto1].usada);
  cvResize(foto[nfoto2].img, img2, CV_INTER_LINEAR);
  cvNamedWindow("Media ponderada", 0);
  cvCreateTrackbar("Peso", "Media ponderada", &peso, 100, on_trackbar);
  on_trackbar(50);
}
//---------------------------------------------------------------------------


void __fastcall TForm7::Button3Click(TObject *Sender)
{
  aceptado= 0;
  cvDestroyWindow("Media ponderada");
  cvReleaseImage(&img2);
  Close();
}
//---------------------------------------------------------------------------

void __fastcall TForm7::Button1Click(TObject *Sender)
{
  aceptado= 1;
  cvDestroyWindow("Media ponderada");
  cvReleaseImage(&img2);
  Close();
}
//---------------------------------------------------------------------------

